Skip to content

List Deals

GET
/api/superadmin/deals
curl --request GET \
--url 'https://example.com/api/superadmin/deals?limit=50&offset=0' \
--header 'Authorization: Bearer <token>'

Paginated list of all deals across orgs.

search
Any of:
string

Search by deal ID

org_id
Any of:
string

Filter by org UUID

limit
Limit
integer
default: 50 >= 1 <= 200
offset
Offset
integer
0

Successful Response

Media type application/json
DealListResponse
object
deals
required
Deals
Array<object>
DealResponse
object
deal_id
required
Deal Id
string
deal_name
Any of:
string
owner_name
Any of:
string
user_count
User Count
integer
0
created_at
Any of:
string
total
required
Total
integer
Example
{
"deals": [
{
"user_count": 0
}
]
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example",
"input": "example",
"ctx": {}
}
]
}